@import url("https://fonts.googleapis.com/css?family=Kanit:300&display=swap&subset=thai");
@font-face {
  font-family: "Kanit-Light";
  src: url("../static/fonts/Kanit-Light.eot");
  src: url("../static/fonts/Kanit-Light.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Light.woff") format("woff"), url("../static/fonts/Kanit-Light.ttf") format("truetype"), url("../static/fonts/Kanit-Light.svg#Kanit-Light") format("svg"); }

@font-face {
  font-family: "Kanit-Regular";
  src: url("../static/fonts/Kanit-Regular.eot");
  src: url("../static/fonts/Kanit-Regular.eot?#iefix") format("embedded-opentype"), url("../static/fonts/Kanit-Regular.woff") format("woff"), url("../static/fonts/Kanit-Regular.ttf") format("truetype"), url("../static/fonts/Kanit-Regular.svg#Kanit-Regular") format("svg"); }

body {
  font-family: 'Kanit-Light', tahoma;
  font-size: 14px;
  padding: 0;
  margin: 0;
  color: #fff;
  background-color: #000; }
  @media (max-width: 640px) {
    body {
      font-size: 12px; } }

h1, h2, h3, h4, h5, h6 {
  margin: 0; }

ul, li {
  margin: 0px;
  padding: 0px; }

.page {
  position: fixed;
  top: 0px;
  left: 0px;
  width: 100%;
  height: 100%;
  z-index: 1000; }
  .page__loading {
    display: block;
    width: 100%;
    height: 100%;
    text-align: center;
    color: #FFFFFF;
    vertical-align: middle;
    font-size: 30px;
    background-color: rgba(0, 0, 0, 0.6); }
    .page__loading:before {
      content: "";
      display: inline-block;
      height: 100%;
      width: 0px;
      vertical-align: middle; }
  .page.close {
    display: none; }

img {
  max-width: 100%;
  max-height: 100%; }

.preorder {
  background: url("../static/images/bg.jpg") top center no-repeat #120a07;
  padding: 75% 0 2%;
  width: 1105px; }
  .preorder__btngroup {
    position: absolute;
    top: 2vw;
    right: 2%;
    width: 100%;
    text-align: right; }
    .preorder__btngroup img {
      display: block; }
  .preorder__scroll {
    text-align: center;
    position: absolute;
    top: -8%;
    left: 0;
    right: 0; }
    .preorder__scroll > img {
      animation: mover 1s infinite alternate; }
      @media (max-width: 640px) {
        .preorder__scroll > img {
          max-width: 10%; } }

.h-login-text {
  position: relative;
  top: 650px;
  text-align: center; }

.userinfo {
  position: absolute;
  left: 0;
  bottom: 54%;
  font-size: 1.2em;
  color: #65431d;
  width: 100%;
  text-align: center; }
  @media (max-width: 768px) {
    .userinfo {
      bottom: 45%; } }
  @media (max-width: 640px) {
    .userinfo {
      font-size: 4vw;
      margin-bottom: 50px;
      bottom: 50%; } }

.text-center {
  text-align: center; }

.username, .logout {
  pointer-events: auto;
  display: inline-block;
  padding: 0px 25px;
  margin-left: 17px;
  /* width: fit-content; */
  /* max-width: 170px; */
  text-align: center;
  height: 45px;
  line-height: 45px;
  background-color: rgba(0, 0, 0, 0.7);
  border-radius: 15px;
  color: #FFFFFF;
  font-size: 14px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
  /* transition: width 0.3s ease-in-out; */ }
  @media (max-width: 640px) {
    .username, .logout {
      height: 30px;
      line-height: 30px;
      padding: 0px 20px;
      font-size: 11px; } }
